Skip to main content
POST
Volume Transfer

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

name
string
required

Body

application/json
mode
enum<string>
required
Available options:
get,
put
path
string
default:""
entries
string[] | null
leaseId
string | null
Pattern: ^[A-Za-z0-9-]{1,64}$
teamId
string | null

Response

Successful Response

via: session: transfer through session (the caller's live read-write session). via: r2: transfer directly with these prefix-scoped credentials (read-only for get, read-write for put); a put's carry leaseId, to send on refresh and to release when done.

via
enum<string>
required
Available options:
session,
r2
session
VolumeSessionResponse · object | null
endpoint
string | null
bucket
string | null
prefix
string | null
accessKeyId
string | null
secretAccessKey
string | null
sessionToken
string | null
expiresAt
string<date-time> | null
leaseId
string | null